Package org.snpeff.interval

# Class ProteinStructuralInteractionLocus

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.ProteinInteractionLocus
org.snpeff.interval.ProteinStructuralInteractionLocus

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `TxtSerializable`

public class ProteinStructuralInteractionLocus extends ProteinInteractionLocus
Protein interaction: An amino acid that is "in contact" with another amino acid. This can be either within the same protein or interacting with another protein. Evidence form PDB crystallized structures

Author:
  pablocingolani
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpeff.interval.ProteinInteractionLocus

`debug`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`ProteinStructuralInteractionLocus()`
`ProteinStructuralInteractionLocus(Transcript parent, int start, int end, String id)`

## Method Summary

### Methods inherited from class org.snpeff.interval.ProteinInteractionLocus

`cloneShallow, factory, variantEffect`

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProteinStructuralInteractionLocus

public ProteinStructuralInteractionLocus()

### ProteinStructuralInteractionLocus

public ProteinStructuralInteractionLocus(Transcript parent, int start, int end, String id)